<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('report_logs', function (Blueprint $table) {
            $table->id();
            $table->integer('by_user_id')->comment('举报用户id');
            $table->integer('user_id')->comment('被举报用户id');
            $table->string('type')->nullable()->comment('举报类型');
            $table->text('img')->nullable()->comment('举报图片');
            $table->string('remark')->nullable()->comment('举报描述');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('report_logs');
    }
};
